CVE-2004-1028

Current Description

Untrusted execution path vulnerability in chcod on AIX IBM 5.1.0, 5.2.0, and 5.3.0 allows local users to execute arbitrary programs by modifying the PATH environment variable to point to a malicious "grep" program, which is executed from chcod.

Basic Data

PublishedJanuary 10, 2005
Last ModifiedJuly 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score7.2
SeverityHIGH
Exploitability Score3.9
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSIbmAix5.1*******
    2.3OSIbmAix5.1l*******
    2.3OSIbmAix5.2*******
    2.3OSIbmAix5.2.2*******
    2.3OSIbmAix5.2_l*******
    2.3OSIbmAix5.3*******
    2.3OSIbmAix5.3_l*******

Vulnerable Software List

VendorProductVersions
Ibm Aix 5.1, 5.1l, 5.2, 5.2.2, 5.2_l, 5.3, 5.3_l

References

NameSourceURLTags
20041220 IBM AIX chcod Local Privilege Escalation Vulnerabilityhttp://www.idefense.com/application/poi/display?id=170&type=vulnerabilitiesIDEFENSEVendor Advisory
IY64354http://www-1.ibm.com/support/search.wss?rs=0&q=IY64354&apar=onlyAIXAPAR
IY64355http://www-1.ibm.com/support/search.wss?rs=0&q=IY64355&apar=onlyAIXAPAR
IY64356http://www-1.ibm.com/support/search.wss?rs=0&q=IY64356&apar=onlyAIXAPAR
aix-chcod-gain-privileges(18625)https://exchange.xforce.ibmcloud.com/vulnerabilities/18625XF